laps = telemetry.laps()
var lapCount = laps.size()
for (var i = 0; i < lapCount; i++)
{
    var lap = laps.at(i)
    var speed = lap.channel("speed")
    var lfspeed =  lap.channel("lfspeed")
    var rfspeed =  lap.channel("rfspeed")
    var lrspeed =  lap.channel("lrspeed")
    var rrspeed =  lap.channel("rrspeed")

    var lflock =  lap.editChannel("lflock")
    var rflock =  lap.editChannel("rflock")
    var lrlock =  lap.editChannel("lrlock")
    var rrlock =  lap.editChannel("rrlock")


    for (var j = 0; j < speed.size(); j++)
    {
        if (speed.value(j) < 1)
        {
            lflock.setValue(j, 1);
            rflock.setValue(j, 1);
            lrlock.setValue(j, 1); 
            rrlock.setValue(j, 1); 
        }
        else 
        {
            lflock.setValue(j, Math.min(lfspeed.value(j) / speed.value(j), 1));
            rflock.setValue(j, Math.min(rfspeed.value(j) / speed.value(j), 1));
            lrlock.setValue(j, Math.min(lrspeed.value(j) / speed.value(j), 1)); 
            rrlock.setValue(j, Math.min(rrspeed.value(j) / speed.value(j), 1));
        }
    }
}